Skip to main content
PUT
Update Vault Forward authentication method
This endpoint requires the vault-forward-authentications.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string<uuid>
required

The ID of the Vault Forward configuration.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

authentication_id
string<uuid>
required

The ID of the Vault Forward authentication method.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Body

application/json

Request body to update a Vault Forward authentication method.

display_name
string

A custom name for the authentication method. This will be shown in the Admin UI.

Required string length: 1 - 50
Example:

"My Message Level Encryption"

fields
object[]

A list of fields, each containing a key-value pair for each field defined by the definition for this authentication method.

Response

Returns the updated Vault Forward authentication method.

A configured Vault Forward authentication method.

type
string
default:vault-forward-config-authentication

The type of this resource. It is always vault-forward-config-authentication.

Example:

"vault-forward-config-authentication"

id
string<uuid>

The ID of this Vault Forward authentication method.

Example:

"faaad066-30b4-4997-a438-242b0752d7e1"

created_at
string<date-time>

The date and time when this configuration was created.

Example:

"2012-12-12T10:53:43+00:00"

updated_at
string<date-time>

The date and time when this configuration was last updated.

Example:

"2012-12-12T10:53:43+00:00"

kind
enum<string>

The kind of authentication to be used in a Vault Forward request.

Available options:
mle,
mtls,
signature
Example:

"mle"

label
string

A label that describes this authentication method.

Example:

"My MLE"

display_name
string

The display name for this authentication method given when created.

Example:

"My MLE"

fields
object[]

A list of fields, each containing a key-value pair for each field configured for this authentication method. Fields marked as secret are not returned.

creator
object | null

The user who created the Vault Forward authentication method.